/*
 * tmtd - Suckless To Do list
 * Copyright (C) 2022 C4TG1RL5
 *
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation, either version 3 of the License, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of  MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program.  If not, see <http://www.gnu.org/licenses/>.
 */

use askama::Template;

#[derive(Template)]
#[template(path = "site/index.html")]
pub struct Index {
    pub logged_in: Option<String>,
}

#[derive(Template)]
#[template(path = "site/users/users.html")]
pub struct Users {
    pub logged_in: Option<String>,
}

#[derive(Template)]
#[template(path = "site/admin/admin.html")]
pub struct AdminPanel {
    pub logged_in: Option<String>,
}

#[derive(Template)]
#[template(path = "site/task/task_page.html")]
pub struct Tasks {
    pub tasks: Vec<Task>,
    pub logged_in: Option<String>,
}

pub struct Task {
    pub title: String,
    pub date: String,
    pub status: String,
    pub assignee: String,
    pub description: String,
    pub id: u32,
}

#[derive(Template)]
#[template(path = "site/task/create_task.html")]
pub struct CreateTask {
    pub logged_in: Option<String>,
}

#[derive(Template)]
#[template(path = "site/login/login.html")]
pub struct Login {
    pub logged_in: Option<String>,
}

#[derive(Template)]
#[template(path = "site/login/register.html")]
pub struct Register {
    pub logged_in: Option<String>,
}

